<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="de">
<head>
<!-- Generated by javadoc (10.0.1) on Tue Sep 25 17:42:32 CEST 2018 -->
<title>Order</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="date" content="2018-09-25">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
<script type="text/javascript" src="../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../jquery/jquery-1.10.2.js"></script>
<script type="text/javascript" src="../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Order";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10,"i19":10,"i20":10,"i21":10,"i22":10,"i23":10,"i24":10,"i25":10,"i26":10,"i27":10,"i28":10,"i29":10,"i30":10,"i31":10,"i32":10,"i33":10,"i34":10,"i35":10,"i36":10,"i37":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "../";loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Order.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../beans/Customer.html" title="class in beans"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../beans/OrderPosition.html" title="class in beans"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?beans/Order.html" target="_top">Frames</a></li>
<li><a href="Order.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle"><span class="packageLabelInType">Package</span>&nbsp;<a href="../beans/package-summary.html">beans</a></div>
<h2 title="Class Order" class="title">Class Order</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>beans.Order</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<pre>public class <span class="typeNameLabel">Order</span>
extends java.lang.Object</pre>
<div class="block">The Class Order. It represents one row of the table 'orders' in the database.</div>
<dl>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>John Edwin Braun</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="../beans/Order.html#Order--">Order</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../beans/Order.html#getCreationDate--">getCreationDate</a></span>()</code></th>
<td class="colLast">
<div class="block">Gets the creation date.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../beans/Order.html#getCustomerNo--">getCustomerNo</a></span>()</code></th>
<td class="colLast">
<div class="block">Gets the customer number.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../beans/Order.html#getDeliveryDate--">getDeliveryDate</a></span>()</code></th>
<td class="colLast">
<div class="block">Gets the delivery date.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../beans/Order.html#getDeliveryFirstname--">getDeliveryFirstname</a></span>()</code></th>
<td class="colLast">
<div class="block">Gets the delivery firstname.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../beans/Order.html#getDeliveryHouseNumber--">getDeliveryHouseNumber</a></span>()</code></th>
<td class="colLast">
<div class="block">Gets the delivery house number.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../beans/Order.html#getDeliveryName--">getDeliveryName</a></span>()</code></th>
<td class="colLast">
<div class="block">Gets the delivery name.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../beans/Order.html#getDeliveryPostalCode--">getDeliveryPostalCode</a></span>()</code></th>
<td class="colLast">
<div class="block">Gets the delivery postal code.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../beans/Order.html#getDeliveryStreet--">getDeliveryStreet</a></span>()</code></th>
<td class="colLast">
<div class="block">Gets the delivery street.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../beans/Order.html#getDeliveryTown--">getDeliveryTown</a></span>()</code></th>
<td class="colLast">
<div class="block">Gets the delivery town.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../beans/Order.html#getDispatchType--">getDispatchType</a></span>()</code></th>
<td class="colLast">
<div class="block">Gets the dispatch type.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../beans/Order.html#getInvoiceFirstname--">getInvoiceFirstname</a></span>()</code></th>
<td class="colLast">
<div class="block">Gets the invoice firstname.</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../beans/Order.html#getInvoiceHouseNumber--">getInvoiceHouseNumber</a></span>()</code></th>
<td class="colLast">
<div class="block">Gets the invoice house number.</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../beans/Order.html#getInvoiceName--">getInvoiceName</a></span>()</code></th>
<td class="colLast">
<div class="block">Gets the invoice name.</div>
</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../beans/Order.html#getInvoicePostalCode--">getInvoicePostalCode</a></span>()</code></th>
<td class="colLast">
<div class="block">Gets the invoice postal code.</div>
</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../beans/Order.html#getInvoiceStreet--">getInvoiceStreet</a></span>()</code></th>
<td class="colLast">
<div class="block">Gets the invoice street.</div>
</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../beans/Order.html#getInvoiceTown--">getInvoiceTown</a></span>()</code></th>
<td class="colLast">
<div class="block">Gets the invoice town.</div>
</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../beans/Order.html#getOrderNo--">getOrderNo</a></span>()</code></th>
<td class="colLast">
<div class="block">Gets the order number.</div>
</td>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../beans/Order.html#getPaymentMethod--">getPaymentMethod</a></span>()</code></th>
<td class="colLast">
<div class="block">Gets the payment method.</div>
</td>
</tr>
<tr id="i18" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../beans/Order.html#getStatus--">getStatus</a></span>()</code></th>
<td class="colLast">
<div class="block">Gets the status.</div>
</td>
</tr>
<tr id="i19" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../beans/Order.html#setCreationDate-java.lang.String-">setCreationDate</a></span>&#8203;(java.lang.String&nbsp;creationDate)</code></th>
<td class="colLast">
<div class="block">Sets the creation date.</div>
</td>
</tr>
<tr id="i20" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../beans/Order.html#setCustomerNo-java.lang.String-">setCustomerNo</a></span>&#8203;(java.lang.String&nbsp;customerNo)</code></th>
<td class="colLast">
<div class="block">Sets the customer number.</div>
</td>
</tr>
<tr id="i21" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../beans/Order.html#setDeliveryDate-java.lang.String-">setDeliveryDate</a></span>&#8203;(java.lang.String&nbsp;deliveryDate)</code></th>
<td class="colLast">
<div class="block">Sets the delivery date.</div>
</td>
</tr>
<tr id="i22" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../beans/Order.html#setDeliveryFirstname-java.lang.String-">setDeliveryFirstname</a></span>&#8203;(java.lang.String&nbsp;deliveryFirstname)</code></th>
<td class="colLast">
<div class="block">Sets the delivery firstname.</div>
</td>
</tr>
<tr id="i23" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../beans/Order.html#setDeliveryHouseNumber-java.lang.String-">setDeliveryHouseNumber</a></span>&#8203;(java.lang.String&nbsp;deliveryHouseNumber)</code></th>
<td class="colLast">
<div class="block">Sets the delivery house number.</div>
</td>
</tr>
<tr id="i24" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../beans/Order.html#setDeliveryName-java.lang.String-">setDeliveryName</a></span>&#8203;(java.lang.String&nbsp;deliveryName)</code></th>
<td class="colLast">
<div class="block">Sets the delivery name.</div>
</td>
</tr>
<tr id="i25" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../beans/Order.html#setDeliveryPostalCode-java.lang.String-">setDeliveryPostalCode</a></span>&#8203;(java.lang.String&nbsp;deliveryPostalCode)</code></th>
<td class="colLast">
<div class="block">Sets the delivery postal code.</div>
</td>
</tr>
<tr id="i26" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../beans/Order.html#setDeliveryStreet-java.lang.String-">setDeliveryStreet</a></span>&#8203;(java.lang.String&nbsp;deliveryStreet)</code></th>
<td class="colLast">
<div class="block">Sets the delivery street.</div>
</td>
</tr>
<tr id="i27" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../beans/Order.html#setDeliveryTown-java.lang.String-">setDeliveryTown</a></span>&#8203;(java.lang.String&nbsp;deliveryTown)</code></th>
<td class="colLast">
<div class="block">Sets the delivery town.</div>
</td>
</tr>
<tr id="i28" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../beans/Order.html#setDispatchType-java.lang.String-">setDispatchType</a></span>&#8203;(java.lang.String&nbsp;dispatchType)</code></th>
<td class="colLast">
<div class="block">Sets the dispatch type.</div>
</td>
</tr>
<tr id="i29" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../beans/Order.html#setInvoiceFirstname-java.lang.String-">setInvoiceFirstname</a></span>&#8203;(java.lang.String&nbsp;invoiceFirstname)</code></th>
<td class="colLast">
<div class="block">Sets the invoice firstname.</div>
</td>
</tr>
<tr id="i30" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../beans/Order.html#setInvoiceHouseNumber-java.lang.String-">setInvoiceHouseNumber</a></span>&#8203;(java.lang.String&nbsp;invoiceHouseNumber)</code></th>
<td class="colLast">
<div class="block">Sets the invoice house number.</div>
</td>
</tr>
<tr id="i31" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../beans/Order.html#setInvoiceName-java.lang.String-">setInvoiceName</a></span>&#8203;(java.lang.String&nbsp;invoiceName)</code></th>
<td class="colLast">
<div class="block">Sets the invoice name.</div>
</td>
</tr>
<tr id="i32" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../beans/Order.html#setInvoicePostalCode-java.lang.String-">setInvoicePostalCode</a></span>&#8203;(java.lang.String&nbsp;invoicePostalCode)</code></th>
<td class="colLast">
<div class="block">Sets the invoice postal code.</div>
</td>
</tr>
<tr id="i33" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../beans/Order.html#setInvoiceStreet-java.lang.String-">setInvoiceStreet</a></span>&#8203;(java.lang.String&nbsp;invoiceStreet)</code></th>
<td class="colLast">
<div class="block">Sets the invoice street.</div>
</td>
</tr>
<tr id="i34" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../beans/Order.html#setInvoiceTown-java.lang.String-">setInvoiceTown</a></span>&#8203;(java.lang.String&nbsp;invoiceTown)</code></th>
<td class="colLast">
<div class="block">Sets the invoice town.</div>
</td>
</tr>
<tr id="i35" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../beans/Order.html#setOrderNo-java.lang.String-">setOrderNo</a></span>&#8203;(java.lang.String&nbsp;orderNo)</code></th>
<td class="colLast">
<div class="block">Sets the order number.</div>
</td>
</tr>
<tr id="i36" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../beans/Order.html#setPaymentMethod-java.lang.String-">setPaymentMethod</a></span>&#8203;(java.lang.String&nbsp;paymentMethod)</code></th>
<td class="colLast">
<div class="block">Sets the payment method.</div>
</td>
</tr>
<tr id="i37" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../beans/Order.html#setStatus-java.lang.String-">setStatus</a></span>&#8203;(java.lang.String&nbsp;status)</code></th>
<td class="colLast">
<div class="block">Sets the status.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="Order--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>Order</h4>
<pre>public&nbsp;Order()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getDeliveryDate--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDeliveryDate</h4>
<pre>public&nbsp;java.lang.String&nbsp;getDeliveryDate()</pre>
<div class="block">Gets the delivery date.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the delivery date</dd>
</dl>
</li>
</ul>
<a name="setDeliveryDate-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setDeliveryDate</h4>
<pre>public&nbsp;void&nbsp;setDeliveryDate&#8203;(java.lang.String&nbsp;deliveryDate)</pre>
<div class="block">Sets the delivery date.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>deliveryDate</code> - the new delivery date</dd>
</dl>
</li>
</ul>
<a name="getInvoiceName--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getInvoiceName</h4>
<pre>public&nbsp;java.lang.String&nbsp;getInvoiceName()</pre>
<div class="block">Gets the invoice name.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the invoice name</dd>
</dl>
</li>
</ul>
<a name="setInvoiceName-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setInvoiceName</h4>
<pre>public&nbsp;void&nbsp;setInvoiceName&#8203;(java.lang.String&nbsp;invoiceName)</pre>
<div class="block">Sets the invoice name.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>invoiceName</code> - the new invoice name</dd>
</dl>
</li>
</ul>
<a name="getInvoiceFirstname--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getInvoiceFirstname</h4>
<pre>public&nbsp;java.lang.String&nbsp;getInvoiceFirstname()</pre>
<div class="block">Gets the invoice firstname.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the invoice firstname</dd>
</dl>
</li>
</ul>
<a name="setInvoiceFirstname-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setInvoiceFirstname</h4>
<pre>public&nbsp;void&nbsp;setInvoiceFirstname&#8203;(java.lang.String&nbsp;invoiceFirstname)</pre>
<div class="block">Sets the invoice firstname.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>invoiceFirstname</code> - the new invoice firstname</dd>
</dl>
</li>
</ul>
<a name="getOrderNo--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getOrderNo</h4>
<pre>public&nbsp;java.lang.String&nbsp;getOrderNo()</pre>
<div class="block">Gets the order number.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the order number</dd>
</dl>
</li>
</ul>
<a name="setOrderNo-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setOrderNo</h4>
<pre>public&nbsp;void&nbsp;setOrderNo&#8203;(java.lang.String&nbsp;orderNo)</pre>
<div class="block">Sets the order number.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>orderNo</code> - the new order number</dd>
</dl>
</li>
</ul>
<a name="getCustomerNo--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCustomerNo</h4>
<pre>public&nbsp;java.lang.String&nbsp;getCustomerNo()</pre>
<div class="block">Gets the customer number.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the customer number</dd>
</dl>
</li>
</ul>
<a name="setCustomerNo-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setCustomerNo</h4>
<pre>public&nbsp;void&nbsp;setCustomerNo&#8203;(java.lang.String&nbsp;customerNo)</pre>
<div class="block">Sets the customer number.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>customerNo</code> - the new customer number</dd>
</dl>
</li>
</ul>
<a name="getStatus--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getStatus</h4>
<pre>public&nbsp;java.lang.String&nbsp;getStatus()</pre>
<div class="block">Gets the status.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the status</dd>
</dl>
</li>
</ul>
<a name="setStatus-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setStatus</h4>
<pre>public&nbsp;void&nbsp;setStatus&#8203;(java.lang.String&nbsp;status)</pre>
<div class="block">Sets the status.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>status</code> - the new status</dd>
</dl>
</li>
</ul>
<a name="getDeliveryStreet--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDeliveryStreet</h4>
<pre>public&nbsp;java.lang.String&nbsp;getDeliveryStreet()</pre>
<div class="block">Gets the delivery street.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the delivery street</dd>
</dl>
</li>
</ul>
<a name="setDeliveryStreet-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setDeliveryStreet</h4>
<pre>public&nbsp;void&nbsp;setDeliveryStreet&#8203;(java.lang.String&nbsp;deliveryStreet)</pre>
<div class="block">Sets the delivery street.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>deliveryStreet</code> - the new delivery street</dd>
</dl>
</li>
</ul>
<a name="getDeliveryHouseNumber--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDeliveryHouseNumber</h4>
<pre>public&nbsp;java.lang.String&nbsp;getDeliveryHouseNumber()</pre>
<div class="block">Gets the delivery house number.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the delivery house number</dd>
</dl>
</li>
</ul>
<a name="setDeliveryHouseNumber-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setDeliveryHouseNumber</h4>
<pre>public&nbsp;void&nbsp;setDeliveryHouseNumber&#8203;(java.lang.String&nbsp;deliveryHouseNumber)</pre>
<div class="block">Sets the delivery house number.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>deliveryHouseNumber</code> - the new delivery house number</dd>
</dl>
</li>
</ul>
<a name="getDeliveryPostalCode--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDeliveryPostalCode</h4>
<pre>public&nbsp;java.lang.String&nbsp;getDeliveryPostalCode()</pre>
<div class="block">Gets the delivery postal code.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the delivery postal code</dd>
</dl>
</li>
</ul>
<a name="setDeliveryPostalCode-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setDeliveryPostalCode</h4>
<pre>public&nbsp;void&nbsp;setDeliveryPostalCode&#8203;(java.lang.String&nbsp;deliveryPostalCode)</pre>
<div class="block">Sets the delivery postal code.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>deliveryPostalCode</code> - the new delivery postal code</dd>
</dl>
</li>
</ul>
<a name="getDeliveryTown--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDeliveryTown</h4>
<pre>public&nbsp;java.lang.String&nbsp;getDeliveryTown()</pre>
<div class="block">Gets the delivery town.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the delivery town</dd>
</dl>
</li>
</ul>
<a name="setDeliveryTown-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setDeliveryTown</h4>
<pre>public&nbsp;void&nbsp;setDeliveryTown&#8203;(java.lang.String&nbsp;deliveryTown)</pre>
<div class="block">Sets the delivery town.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>deliveryTown</code> - the new delivery town</dd>
</dl>
</li>
</ul>
<a name="getInvoiceStreet--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getInvoiceStreet</h4>
<pre>public&nbsp;java.lang.String&nbsp;getInvoiceStreet()</pre>
<div class="block">Gets the invoice street.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the invoice street</dd>
</dl>
</li>
</ul>
<a name="setInvoiceStreet-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setInvoiceStreet</h4>
<pre>public&nbsp;void&nbsp;setInvoiceStreet&#8203;(java.lang.String&nbsp;invoiceStreet)</pre>
<div class="block">Sets the invoice street.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>invoiceStreet</code> - the new invoice street</dd>
</dl>
</li>
</ul>
<a name="getInvoiceHouseNumber--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getInvoiceHouseNumber</h4>
<pre>public&nbsp;java.lang.String&nbsp;getInvoiceHouseNumber()</pre>
<div class="block">Gets the invoice house number.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the invoice house number</dd>
</dl>
</li>
</ul>
<a name="setInvoiceHouseNumber-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setInvoiceHouseNumber</h4>
<pre>public&nbsp;void&nbsp;setInvoiceHouseNumber&#8203;(java.lang.String&nbsp;invoiceHouseNumber)</pre>
<div class="block">Sets the invoice house number.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>invoiceHouseNumber</code> - the new invoice house number</dd>
</dl>
</li>
</ul>
<a name="getInvoicePostalCode--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getInvoicePostalCode</h4>
<pre>public&nbsp;java.lang.String&nbsp;getInvoicePostalCode()</pre>
<div class="block">Gets the invoice postal code.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the invoice postal code</dd>
</dl>
</li>
</ul>
<a name="setInvoicePostalCode-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setInvoicePostalCode</h4>
<pre>public&nbsp;void&nbsp;setInvoicePostalCode&#8203;(java.lang.String&nbsp;invoicePostalCode)</pre>
<div class="block">Sets the invoice postal code.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>invoicePostalCode</code> - the new invoice postal code</dd>
</dl>
</li>
</ul>
<a name="getInvoiceTown--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getInvoiceTown</h4>
<pre>public&nbsp;java.lang.String&nbsp;getInvoiceTown()</pre>
<div class="block">Gets the invoice town.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the invoice town</dd>
</dl>
</li>
</ul>
<a name="setInvoiceTown-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setInvoiceTown</h4>
<pre>public&nbsp;void&nbsp;setInvoiceTown&#8203;(java.lang.String&nbsp;invoiceTown)</pre>
<div class="block">Sets the invoice town.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>invoiceTown</code> - the new invoice town</dd>
</dl>
</li>
</ul>
<a name="getCreationDate--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCreationDate</h4>
<pre>public&nbsp;java.lang.String&nbsp;getCreationDate()</pre>
<div class="block">Gets the creation date.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the creation date</dd>
</dl>
</li>
</ul>
<a name="setCreationDate-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setCreationDate</h4>
<pre>public&nbsp;void&nbsp;setCreationDate&#8203;(java.lang.String&nbsp;creationDate)</pre>
<div class="block">Sets the creation date.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>creationDate</code> - the new creation date</dd>
</dl>
</li>
</ul>
<a name="getPaymentMethod--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPaymentMethod</h4>
<pre>public&nbsp;java.lang.String&nbsp;getPaymentMethod()</pre>
<div class="block">Gets the payment method.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the payment method</dd>
</dl>
</li>
</ul>
<a name="setPaymentMethod-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setPaymentMethod</h4>
<pre>public&nbsp;void&nbsp;setPaymentMethod&#8203;(java.lang.String&nbsp;paymentMethod)</pre>
<div class="block">Sets the payment method.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>paymentMethod</code> - the new payment method</dd>
</dl>
</li>
</ul>
<a name="getDispatchType--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDispatchType</h4>
<pre>public&nbsp;java.lang.String&nbsp;getDispatchType()</pre>
<div class="block">Gets the dispatch type.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the dispatch type</dd>
</dl>
</li>
</ul>
<a name="setDispatchType-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setDispatchType</h4>
<pre>public&nbsp;void&nbsp;setDispatchType&#8203;(java.lang.String&nbsp;dispatchType)</pre>
<div class="block">Sets the dispatch type.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>dispatchType</code> - the new dispatch type</dd>
</dl>
</li>
</ul>
<a name="getDeliveryName--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDeliveryName</h4>
<pre>public&nbsp;java.lang.String&nbsp;getDeliveryName()</pre>
<div class="block">Gets the delivery name.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the delivery name</dd>
</dl>
</li>
</ul>
<a name="setDeliveryName-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setDeliveryName</h4>
<pre>public&nbsp;void&nbsp;setDeliveryName&#8203;(java.lang.String&nbsp;deliveryName)</pre>
<div class="block">Sets the delivery name.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>deliveryName</code> - the new delivery name</dd>
</dl>
</li>
</ul>
<a name="getDeliveryFirstname--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDeliveryFirstname</h4>
<pre>public&nbsp;java.lang.String&nbsp;getDeliveryFirstname()</pre>
<div class="block">Gets the delivery firstname.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the delivery firstname</dd>
</dl>
</li>
</ul>
<a name="setDeliveryFirstname-java.lang.String-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>setDeliveryFirstname</h4>
<pre>public&nbsp;void&nbsp;setDeliveryFirstname&#8203;(java.lang.String&nbsp;deliveryFirstname)</pre>
<div class="block">Sets the delivery firstname.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>deliveryFirstname</code> - the new delivery firstname</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Order.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../beans/Customer.html" title="class in beans"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../beans/OrderPosition.html" title="class in beans"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?beans/Order.html" target="_top">Frames</a></li>
<li><a href="Order.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
